package com.vpn.fastestvpnservice.beans

import androidx.compose.ui.graphics.painter.Painter
import com.vpn.fastestvpnservice.R

data class Server(
    val country: String,
    val serverName: String,
    val ping: String,
    val icon: Int
)

data class CountryServer(
    val country: String,
    val icon: Int,
    val server: List<Server>?
)

val favList = listOf(
    Server("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x),
//    Server("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x),
//    Server("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x)
)

val favServersList = listOf(
    Server("Spain", "Barcelona", "95ms", R.drawable.spainlogo3x),
    Server("Pakistan", "Karachi", "95ms", R.drawable.pklogo3x),
    Server("Spain", "Rome", "95ms", R.drawable.spainlogo3x),
    Server("Pakistan", "Lahore", "95ms", R.drawable.pklogo3x),
    Server("Spain", "Italy", "95ms", R.drawable.spainlogo3x),
)

val smartList = listOf(Server("Spain", "Rome", "124ms", R.drawable.spainlogo3x))

val recentList = listOf(
    Server("Pakistan", "Multan", "95ms", R.drawable.pklogo3x),
    Server("Pakistan", "Islamabad", "85ms", R.drawable.pklogo3x)
)

val recommendedList = listOf(
    Server("Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("Spain", "Milan", "85ms", R.drawable.spainlogo3x)
)

val streamingList = listOf(
    Server("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x)
)

val dvpnList = listOf(
    Server("UK VIA USA", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("USA VIA CANADA", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("CANADA VIA UK", "Milan", "85ms", R.drawable.spainlogo3x)
)

val p2pList = listOf(
    Server("P2P UK", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("P2P USA", "Milan", "85ms", R.drawable.spainlogo3x),
    Server("P2P CANADA", "Milan", "85ms", R.drawable.spainlogo3x)
)

val countryList = listOf(
    Server("Spain", "Venice", "101ms", R.drawable.spainlogo3x),
    Server("Spain", "Italy", "102ms", R.drawable.spainlogo3x),
    Server("Spain", "Rome", "103ms", R.drawable.spainlogo3x),
    Server("Spain", "Venice", "104ms", R.drawable.spainlogo3x),
    Server("Spain", "Italy", "105ms", R.drawable.spainlogo3x),
    )

val countryList2 = listOf(
    Server("Spain", "Venice", "101ms", R.drawable.spainlogo3x)
)

val countryList3 = listOf(
    Server("Spain", "Venice", "101ms", R.drawable.spainlogo3x)
)

val countryList4 = listOf(
    Server("Pakistan", "Karachi", "107ms", R.drawable.pklogo3x),
    Server("Pakistan", "Lahore", "108ms", R.drawable.pklogo3x)
)

val allLocationsList = listOf(
    CountryServer("USA", R.drawable.spainlogo3x, countryList),
    CountryServer("Argentina", R.drawable.spainlogo3x, countryList2),
    CountryServer("Germany", R.drawable.spainlogo3x, countryList3),
    CountryServer("Pakistan", R.drawable.pklogo3x, countryList4)

)